IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The task template assignee object

Attributes

iduuid
member_iduuid
members.id
task_template_iduuid
task_templates.id
created_attimestamp with time zone
The task template assignee object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "member_id": "00000000-0000-0000-0000-000000000000",
  "task_template_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T04:00:21.475Z"
}

List task template assignees

Filters

idFilter<uuid>
member_idFilter<uuid>
members.id
task_template_idFilter<uuid>
task_templates.id
created_atFilter<timestamp with time zone>

Responses

200

A list of task template assignees with the selected columns

206

Partial Content

GET /task_template_assignees
curl -X GET "https://api.bookingmood.com/v1/task_template_assignees?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create task template assignees

Body

Partial<TaskTemplateAssignee> | Array<Partial<TaskTemplateAssignee>>

Responses

201

The newly created task template assignees with the selected columns

POST /task_template_assignees
curl -X POST "https://api.bookingmood.com/v1/task_template_assignees" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete task template assignees

Filters

idFilter<uuid>
member_idFilter<uuid>
members.id
task_template_idFilter<uuid>
task_templates.id
created_atFilter<timestamp with time zone>

Responses

204

The deleted task template assignees with the selected columns

DELETE /task_template_assignees
curl -X DELETE "https://api.bookingmood.com/v1/task_template_assignees" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update task template assignees

Filters

idFilter<uuid>
member_idFilter<uuid>
members.id
task_template_idFilter<uuid>
task_templates.id
created_atFilter<timestamp with time zone>

Body

Partial<TaskTemplateAssignee>

Responses

204

The updated task template assignees with the selected columns

PATCH /task_template_assignees
curl -X PATCH "https://api.bookingmood.com/v1/task_template_assignees" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'